package org.wcs.plugin.lxLed.enums;

import lombok.Getter;

/**
 * 灵信LED屏文字滚动效果枚举
 */
@Getter
public enum TextEffectEnum {

    SHOW_IMMEDIATELY(1, "立即显示"),
    TO_LEFT(2, "向左滚动"),
    TO_RIGHT(4, "向右滚动"),
    TO_UP(3, "向上滚动"),
    TO_DOWN(5, "向下滚动"),
    TO_UP_CONTINUOUS(94, "向上滚动不间断"),
    TO_DOWN_CONTINUOUS(95, "向下滚动不间断"),
    TO_LEFT_CONTINUOUS(97, "向左滚动不间断"),
    TO_RIGHT_CONTINUOUS(96, "向右滚动不间断"),
    BLINK(6, "闪烁");

    private final int code;
    private final String name;

    TextEffectEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

}
